http-parser

Treat empty port after column as valid.

libgit2

Update to 0.99.0

libgit2-glib

Update to 0.99.0.1

libgit2_0.28

Add compatibility package

python-pygit2

Update to 1.1.0

This update has been submitted for testing by ignatenkobrain.

7 months ago

This update's test gating status has been changed to 'waiting'.

7 months ago

This update's test gating status has been changed to 'ignored'.

7 months ago
User Icon scorreia commented & provided feedback 7 months ago

Could yoi rebuild tang as well, please, with the newer http-parser?

This update has been pushed to testing.

7 months ago
User Icon kuosmanen commented & provided feedback 7 months ago
karma

This kind of ABI change does not belong to a stable distro release. Please ask FESCo for an exception if you think there are good reasons for pushing this. Thanks.

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

7 months ago
User Icon ignatenkobrain commented & provided feedback 7 months ago

What kind of ABI changes you are talking about?

User Icon pwalter commented & provided feedback 7 months ago
karma

No coordination at all, one person just decides to abuse provenpackager access and push API changes to stable releases :(

User Icon ignatenkobrain commented & provided feedback 7 months ago

Once more, what exact API changes are you talking about?

User Icon pwalter commented & provided feedback 7 months ago
karma

As if you are not aware? This update changes libgit2 soname. It changes libgit2 API. You have rebuilt a number of packages (but not everything, see for example the request for tang rebuild above) and now pretend you don't know it changes API? gnome-builder for instance is now FTBFS and various packages need patches such as https://src.fedoraproject.org/rpms/gnome-builder/c/72c6688c7003c7cbf3f0c3f6ef62d9c54f801330?branch=master . This is not how we are supposed to maintain stable Fedora releases.

User Icon chr77 commented & provided feedback 7 months ago
karma

-1 as per above

This update has been obsoleted.

7 months ago
User Icon ngompa commented & provided feedback 7 months ago

@pwalter Igor handled this absolutely correctly. He did not break ABI at all. He produced a compatibility package and submitted it correctly to deal with this.

User Icon ngompa provided feedback 7 months ago
karma
BZ#1782392 libgit2-0.99.0 is available
BZ#1800368 http-parser-2.9.3 is available
BZ#1807265 libgit2-glib-0.99.0.1 is available

Please login to add feedback.

Metadata
Type
enhancement
Karma
-2
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
7 months ago
in testing
7 months ago
BZ#1782392 libgit2-0.99.0 is available
0
1
BZ#1800368 http-parser-2.9.3 is available
0
1
BZ#1807265 libgit2-glib-0.99.0.1 is available
0
1

Automated Test Results